Name:          jiapi
Version:       0.4.0
Release:       %mkrel 6
Summary:       A highlevel API to instrument Java bytecode
Group:         Development/Java
License:       LGPL
Url:           http://jiapi.sourceforge.net/
Source0:       http://downloads.sourceforge.net/project/jiapi/jiapi/%{name}-%{version}.zip

BuildArch:     noarch

BuildRequires: ant
BuildRequires: aopalliance
BuildRequires: bcel
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: junit
BuildRequires: liblog4j12-java
BuildRequires: regexp

Requires:      jpackage-utils
Requires:      liblog4j12-java

%description
Jiapi can be used to modify bytecode of a Java class before it is loaded
into a virtual machine.

%package       javadoc
Summary:       Javadoc for %{name}
Group:         Documentation

%description   javadoc
Jiapi - A highlevel API to instrument Java bytecode.

This package contains javadoc for %{name}.

%package       manual
Summary:       Manual for %{name}
Group:         Documentation

%description   manual
Jiapi - A highlevel API to instrument Java bytecode.

This package contains documentation for %{name}.

%prep
%setup -q -n jiapi

for j in $(find . -name "*.jar"); do
  mv $j ${j}.no
done

cat > build,properties << __GIL
regexp.jar=$(build-classpath regexp)
bcel.jar=$(build-classpath bcel)
junit.jar=$(build-classpath junit)
log4j.jar=$(build-classpath log4j-1.2.17)
#openjgraph.jar= http://sourceforge.net/apps/mediawiki/jinsect/index.php?title=Main_Page
#jikesbt.jar= http://www.alphaworks.ibm.com/tech/jikesb
__GIL

%build

export CLASSPATH=$(build-classpath regexp bcel aopalliance log4j-1.2.17 junit)
%ant dist doc

%install
mkdir -p %{buildroot}%{_javadir}

install -m 644 build/jiapi/lib/jiapi.jar \
  %{buildroot}%{_javadir}/%{name}-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do 
    ln -sf ${jar} ${jar/-%{version}/}
  done
)

mkdir -p %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -pr docs/api/* %{buildroot}%{_javadocdir}/%{name}-%{version}
ln -s jiapi-%{version} %{buildroot}%{_javadocdir}/%{name}
rm -rf docs/api

sed -i "s|api/|%{_javadocdir}/jiapi|" docs/toc.html

%files
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar
%doc BUGS ChangeLog LICENSE README* TODO

%files javadoc
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%files manual
%doc docs/*


%changelog
* Tue Jan 20 2015 daviddavid <daviddavid> 0.4.0-6.mga5
+ Revision: 811586
- use .mfiles generated during build
- switch to log4j12 (log4j-1.2.17)
- update BuildRequires and Requires
- fix Group

* Wed Oct 15 2014 umeabot <umeabot> 0.4.0-5.mga5
+ Revision: 740275
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.0-4.mga5
+ Revision: 680811
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.4.0-3.mga4
+ Revision: 506419
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.4.0-2.mga3
+ Revision: 355446
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Aug 27 2011 dmorgan <dmorgan> 0.4.0-1.mga2
+ Revision: 135654
- Add back missing Name:
- Remove useless macros

  + gil <gil>
    - imported package jiapi


* Wed Jun 15 2011 gil <gil> 0.4.0-0.%%mkrel
- initial rpm